Package skyview.geometry.csys

# Class Ecliptic

java.lang.Object
skyview.geometry.CoordinateSystem
skyview.geometry.csys.Ecliptic

All Implemented Interfaces:
  `Serializable`, `Component`

Direct Known Subclasses:
  `Helioecliptic`

public class Ecliptic extends CoordinateSystem implements Component
An ecliptic coordinate system in a Julian frame.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class skyview.geometry.CoordinateSystem

`B1950, Gal, ICRS, J2000`

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`Ecliptic(double epoch)`
Get an Ecliptic Coordinate system at a given epoch.
`protected`
`Ecliptic(double epoch, double elon)`
Get an Ecliptic coordinate system where the 0 of longitude can be reset.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Get a description of this component.
`String`
`getName()`
Get the name of this component.
`Rotater`
`getRotater()`
Get the rotation associated with the projection.

### Methods inherited from class skyview.geometry.CoordinateSystem

`factory, factory, getSphereDistorter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Ecliptic

public Ecliptic(double epoch)
Get an Ecliptic Coordinate system at a given epoch.

Parameters:
  `epoch` - The epoch of the equinox of the coordinate system in calendar years.

### Ecliptic

protected Ecliptic(double epoch, double elon)
Get an Ecliptic coordinate system where the 0 of longitude can be reset.

Parameters:
  `epoch` - The epoch of the equinox.
  `elon` - The longitude in a standard coordinate system at which the prime meridian should be placed.

## Method Details

### getName

public String getName()
Get the name of this component.

Specified by:
  `getName` in interface `Component`

### getDescription

public String getDescription()
Get a description of this component.

Specified by:
  `getDescription` in interface `Component`

### getRotater

public Rotater getRotater()
Description copied from class: `CoordinateSystem`
Get the rotation associated with the projection.

Specified by:
  `getRotater` in class `CoordinateSystem`